% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/qm_quantile_application.R
\name{apply.model}
\alias{apply.model}
\title{apply.model}
\usage{
apply.model(
  in.data.file,
  out.data.file,
  quantile.path,
  ncores,
  snow = TRUE,
  correct.first = TRUE
)
}
\arguments{
\item{in.data.file}{Dataset on which the QM model should be applied. Dataset
should be a RDS file in a \code{vectData} format (see \code{\link[=vectorize.list]{vectorize.list()}})}

\item{out.data.file}{Path of the file to write the corrected dataset. Dataset
will be a RDS file in a \code{vectData} format (see \code{\link[=vectorize.list]{vectorize.list()}})}

\item{quantile.path}{Directory containing the directories with quantile distributions of the
training and target datasets (see \code{\link[=vectorize.list]{vectorize.list()}})}

\item{ncores}{number of cores to be used}

\item{snow}{Is the quantile mapping applied to snow (will impact situations of
null quantiles, see discussion in the scientific publication)}

\item{correct.first}{should the first time step be corrected (parameter used
for the operational implementation, users should keep it \code{TRUE} unless they
really know what they do). Has an impact only if \code{snow==true}}
}
\description{
\code{apply.model} applies a trained QM model (see
\code{\link[=compute.quantiles]{compute.quantiles()}}) to the dataset given as input.
}
\author{
Adrien Michel, 2023 (MeteoSwiss & WSL/SLF)
}
