% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/utils_asssess_model.R
\name{assessment.plot}
\alias{assessment.plot}
\title{assessment.plot}
\usage{
assessment.plot(
  data.training.file,
  data.model.file,
  data.corrected.file,
  out.plot.dir,
  swe.threshold,
  dist.threshold,
  ma.value = 7,
  ncores = 1
)
}
\arguments{
\item{data.training.file}{Dataset containing the model data. Dataset
should be a RDS file in a \code{vectData} format (see \code{\link[=vectorize.list]{vectorize.list()}})}

\item{data.model.file}{Dataset containing the training data. Dataset
should be a RDS file in a \code{vectData} format (see \code{\link[=vectorize.list]{vectorize.list()}})}

\item{data.corrected.file}{Dataset containing the corrected data. Dataset
should be a RDS file in a \code{vectData} format (see \code{\link[=vectorize.list]{vectorize.list()}})}

\item{out.plot.dir}{Directory where the plots and RDS data should be saved}

\item{swe.threshold}{The threshold value to define snow day in order to
compute the length of the snow season and the number of snow days
(see \code{\link[=plt.snow.season.length]{plt.snow.season.length()}} and \code{\link[=plt.snow.season.length]{plt.snow.season.length()}} and
\code{\link[=plt.snow.days.comparison]{plt.snow.days.comparison()}})}

\item{dist.threshold}{Threshold used a radius (in DEM units) to check the spatial
structure in the spatial correlation metrics (see \code{\link[=plt.spatial.correlation]{plt.spatial.correlation()}})}

\item{ma.value}{Value used for the moving window average applied to the SWE
data prior of calculating the snow season length (see \code{\link[=plt.snow.season.length]{plt.snow.season.length()}})}

\item{ncores}{Number of cores to use for parallel computation, using ncores =
1 defaults to serial computing}
}
\description{
\code{assessment.plot} produces two files (<out.plot.dir>/summary.pdf and
<out.plot.dir>/seasonnal_summary.pdf) to asses the quality of the downscaling.
The plots are produced using: \code{\link[=plt.seasonnal.summary.details]{plt.seasonnal.summary.details()}},
\code{\link[=plt.seasonnal.summary]{plt.seasonnal.summary()}}, \code{\link[=plt.snow.season.length]{plt.snow.season.length()}},
and \code{\link[=plt.snow.days.comparison]{plt.snow.days.comparison()}} and \code{\link[=plt.spatial.correlation]{plt.spatial.correlation()}}. Summary
of the model perfromances, as a \code{list}, are saved in a \code{RDS} file.
}
\author{
Adrien Michel, 2023 (MeteoSwiss & WSL/SLF)
}
