% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/utils_asssess_model.R
\name{assessment.plot.calib}
\alias{assessment.plot.calib}
\title{assessment.plot.calib}
\usage{
assessment.plot.calib(
  data.training.calib.file,
  data.model.calib.file,
  data.corrected.calib.file,
  data.training.valid.file,
  data.model.valid.file,
  data.corrected.valid.file,
  out.plot.dir,
  swe.threshold,
  dist.threshold,
  ma.value = 7,
  ncores = 1,
  mask.files = NULL
)
}
\arguments{
\item{data.training.calib.file}{Dataset containing the training data over the
calibration period. Dataset should be a RDS file in a \code{vectData} format
(see \code{\link[=vectorize.list]{vectorize.list()}})}

\item{data.corrected.calib.file}{Dataset containing the corrected data. over the
calibration period. Dataset should be a RDS file in a \code{vectData} format
(see \code{\link[=vectorize.list]{vectorize.list()}})}

\item{data.training.valid.file}{Dataset containing the training data over the
validation period. Dataset should be a RDS file in a \code{vectData} format
(see \code{\link[=vectorize.list]{vectorize.list()}})}

\item{data.corrected.valid.file}{Dataset containing the corrected data. over the
validation period. Dataset should be a RDS file in a \code{vectData} format
(see \code{\link[=vectorize.list]{vectorize.list()}})}

\item{out.plot.dir}{Directory where the plots and RDS data should be saved}

\item{swe.threshold}{The threshold value to define snow day in order to
compute the length of the snow season and the number of snow days
(see \code{\link[=plt.snow.season.length.calib]{plt.snow.season.length.calib()}} and \code{\link[=plt.snow.season.length.calib]{plt.snow.season.length.calib()}} and
\code{\link[=plt.snow.days.comparison.calib]{plt.snow.days.comparison.calib()}})}

\item{dist.threshold}{Threshold used a radius (in DEM units) to check the spatial
structure in the spatial correlation metrics (see \code{\link[=plt.spatial.correlation.calib]{plt.spatial.correlation.calib()}})}

\item{ma.value}{Value used for the moving window average applied to the SWE
data prior of calculating the snow season length (see \code{\link[=plt.snow.season.length.calib]{plt.snow.season.length.calib()}})}

\item{ncores}{Number of cores to use for parallel computation, using ncores =
1 defaults to serial computing}
}
\description{
\code{assessment.plot.calib} produces two files (<out.plot.dir>/summary.pdf and
<out.plot.dir>/seasonnal_summary.pdf) to asses the quality of the downscaling.
The plots are produced using: \code{\link[=plt.seasonnal.summary.details.calib]{plt.seasonnal.summary.details.calib()}},
\code{\link[=plt.seasonnal.summary.calib]{plt.seasonnal.summary.calib()}}, \code{\link[=plt.snow.season.length.calib]{plt.snow.season.length.calib()}},
and \code{\link[=plt.snow.days.comparison.calib]{plt.snow.days.comparison.calib()}} and \code{\link[=plt.spatial.correlation.calib]{plt.spatial.correlation.calib()}}.
Summaryof the model perfromances, as a \code{list}, are saved in a \code{RDS} file. All
plots and data are produced both for the calibration and validation periods.
}
\author{
Adrien Michel, 2023 (MeteoSwiss & WSL/SLF)
}
