% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/qm_quantile_computation.R
\name{compute.quantiles}
\alias{compute.quantiles}
\title{compute.quantiles}
\usage{
compute.quantiles(
  data,
  temporal.cluster,
  spatial.cluster,
  output.path,
  ncores = 1,
  probs = seq(0, 1, 0.01)
)
}
\arguments{
\item{data}{The training dataset (a \code{vectData} object, see
\code{\link[=vectorize.list]{vectorize.list()}})}

\item{temporal.cluster}{Temporal groups used to compute the quantile
distributions (see \link{compute.temporal.cluster})}

\item{spatial.cluster}{Spatial groups used to compute the quantile
distributions (see \link{compute.spatial.cluster})}

\item{output.path}{Directory in which text files of the quantile distributions
should be saved}

\item{ncores}{Number of cores to use for parallel computation, using ncores =
1 defaults to serial computing}

\item{probs}{The sequence of percentiles \link{0,1} on which the distribution
should be computed}
}
\description{
\code{compute.quantiles} computes the quantile and save the quantile
distributions text files for each pixels of the data given as input
}
\author{
Adrien Michel, 2023 (MeteoSwiss & WSL/SLF)
}
