% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/qm_spatial_clustering.R
\name{compute.spatial.cluster}
\alias{compute.spatial.cluster}
\title{compute.spatial.cluster}
\usage{
compute.spatial.cluster(data, params.qm, ncores = 1, output.file = NULL)
}
\arguments{
\item{params.qm}{Parameters for the quantile mapping, see \code{\link[=train.qm]{train.qm()}}}

\item{ncores}{Number of cores to used, 1 defaults to serial computation}

\item{data.training}{The dataset containing the timesteps that will be used to
train the qunatile mapping (a \code{vectData} object, see \code{\link[=vectorize.list]{vectorize.list()}})}
}
\value{
A list containing one entry per day of the year, each entry containing a
vector indicating the number of the timesteps belonging the the temporal group
for this day of the year
}
\description{
Computes the spatial groups used for the quantile mapping. Wrapper for
an inner C++ function. See the scientific publication for more details about
the spatial grouping.
}
\author{
Adrien Michel, 2023 (MeteoSwiss & WSL/SLF)
}
