% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/assessment_sesonnal.R
\name{plt.seasonnal.summary.details}
\alias{plt.seasonnal.summary.details}
\title{plt.seasonnal.summary.details}
\usage{
plt.seasonnal.summary.details(
  data.training,
  data.model,
  data.corrected,
  out.plot.dir
)
}
\arguments{
\item{data.training}{The training dataset (a vectdata object, see
\code{\link[=vectorize.list]{vectorize.list()}})}

\item{data.model}{The model dataset (a vectdata object, see
\code{\link[=vectorize.list]{vectorize.list()}})}

\item{data.corrected}{the corrected dataset (a vectdata object, see
\code{\link[=vectorize.list]{vectorize.list()}})}

\item{out.plot.dir}{If set, plots are printed to a pdf file in
<out.plot.dir>/seasonnal_summary.pdf}
}
\value{
A list containing one list per aggregating function ()
Each list  contains a list with entries "model" and "corrected" containing
each a list of the four seasons. Seasonal lists contain the seasonally aggregated
difference between the model/corrected datasets and the training dataset for
each pixel. To be used as input in \code{\link[=plt.season.diff]{plt.season.diff()}}.
}
\description{
\code{plt.seasonnal.summary.details} is a wrapper function for
\code{\link[=plt.season.diff]{plt.season.diff()}}, writing the produced plots to a pdf file
}
\author{
Adrien Michel, 2023 (MeteoSwiss & WSL/SLF)
}
