% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/assessment_sesonnal.R
\name{plt.seasonnal.summary.details.calib}
\alias{plt.seasonnal.summary.details.calib}
\title{plt.seasonnal.summary.details.calib}
\usage{
plt.seasonnal.summary.details.calib(
  data.training.calib,
  data.model.calib,
  data.corrected.calib,
  data.training.valid,
  data.model.valid,
  data.corrected.valid,
  out.plot.dir = NULL
)
}
\arguments{
\item{data.training.calib}{The training dataset (a vectdata object, see
\code{\link[=vectorize.list]{vectorize.list()}}) for the calibration period}

\item{data.model.calib}{The model dataset (a vectdata object, see
\code{\link[=vectorize.list]{vectorize.list()}}) for the calibration period}

\item{data.corrected.calib}{the corrected dataset (a vectdata object, see
\code{\link[=vectorize.list]{vectorize.list()}}) for the calibration period}

\item{data.training.valid}{The training dataset (a vectdata object, see
\code{\link[=vectorize.list]{vectorize.list()}}) for the validation period}

\item{data.model.valid}{The model dataset (a vectdata object, see
\code{\link[=vectorize.list]{vectorize.list()}}) for the validation period}

\item{data.corrected.valid}{the corrected dataset (a vectdata object, see
\code{\link[=vectorize.list]{vectorize.list()}}) for the validation period}

\item{out.plot.dir}{If set, plots are printed to a pdf file in
<out.plot.dir>/seasonnal_summary_calib_valid.pdf}
}
\value{
A list with entries "calib" and valid", containg a list with entries
"model" and "corrected" containing each a list of the four seasons.
Seasonal lists contain the seasonally aggregated difference between the
model/corrected datasets and the training dataset for each pixel.
To be used as input in \code{\link[=plt.seasonnal.summary.general]{plt.seasonnal.summary.general()}}.
}
\description{
\code{plt.seasonnal.summary.details.calib} is a wrapper function for
\code{\link[=plt.season.diff.calib]{plt.season.diff.calib()}}, writing the produced plots to a pdf file
}
\author{
Adrien Michel, 2023 (MeteoSwiss & WSL/SLF)
}
