% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/assessment_sesonnal.R
\name{plt.seasonnal.summary.maps}
\alias{plt.seasonnal.summary.maps}
\title{plt.seasonnal.summary.maps}
\usage{
plt.seasonnal.summary.maps(data.training, data.model, data.corrected)
}
\arguments{
\item{data.training}{The training dataset (a vectdata object, see
\code{\link[=vectorize.list]{vectorize.list()}})}

\item{data.model}{The model dataset (a vectdata object, see
\code{\link[=vectorize.list]{vectorize.list()}})}

\item{data.corrected}{the corrected dataset (a vectdata object, see
\code{\link[=vectorize.list]{vectorize.list()}})}
}
\value{
A list with entries "model" and "corrected" containing each a list
of the four seasons. Seasonal lists contain the seasonally aggregated difference
between the model/corrected datasets and the training dataset for each pixel.
To be used as input in \code{\link[=plt.seasonnal.summary.general]{plt.seasonnal.summary.general()}}.
}
\description{
\code{plt.seasonnal.summary.maps} produces plots of maps of seasonal
averaged bias over the whole area covered by the dataset. Plots are not
written to a file. This function can be encapsulated into
\code{\link[=plt.seasonnal.summary.details]{plt.seasonnal.summary.details()}})
}
\author{
Adrien Michel, 2023 (MeteoSwiss & WSL/SLF)
}
