% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/assessment_sesonnal.R
\name{plt.seasonnal.summary.maps.calib}
\alias{plt.seasonnal.summary.maps.calib}
\title{plt.seasonnal.summary.maps.calib}
\usage{
plt.seasonnal.summary.maps.calib(
  data.training.calib,
  data.model.calib,
  data.corrected.calib,
  data.training.valid,
  data.model.valid,
  data.corrected.valid
)
}
\arguments{
\item{data.training.calib}{The training dataset (a vectdata object, see
\code{\link[=vectorize.list]{vectorize.list()}}) for the calibration period}

\item{data.model.calib}{The model dataset (a vectdata object, see
\code{\link[=vectorize.list]{vectorize.list()}}) for the calibration period}

\item{data.corrected.calib}{the corrected dataset (a vectdata object, see
\code{\link[=vectorize.list]{vectorize.list()}}) for the calibration period}

\item{data.training.valid}{The training dataset (a vectdata object, see
\code{\link[=vectorize.list]{vectorize.list()}}) for the validation period}

\item{data.model.valid}{The model dataset (a vectdata object, see
\code{\link[=vectorize.list]{vectorize.list()}}) for the validation period}

\item{data.corrected.valid}{the corrected dataset (a vectdata object, see
\code{\link[=vectorize.list]{vectorize.list()}}) for the validation period}
}
\value{
A list with entries "calib" and valid", containg a list with entries
"model" and "corrected" containing each a list of the four seasons.
Seasonal lists contain the seasonally aggregated difference between the
model/corrected datasets and the training dataset for each pixel.
To be used as input in \code{\link[=plt.seasonnal.summary.general]{plt.seasonnal.summary.general()}}.
}
\description{
\code{plt.seasonnal.summary.maps.calib} produces plots of maps of seasonal
averaged bias over the whole area covered by the dataset. Plots are not
written to a file. This function can be encapsulated into
\code{\link[=plt.seasonnal.summary.details.calib]{plt.seasonnal.summary.details.calib()}})
}
\author{
Adrien Michel, 2023 (MeteoSwiss & WSL/SLF)
}
