% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/assessment_snow_days.R
\name{plt.snow.days.comparison.calib}
\alias{plt.snow.days.comparison.calib}
\title{plt.snow.days.comparison.calib}
\usage{
plt.snow.days.comparison.calib(
  data.training.calib,
  data.model.calib,
  data.corrected.calib,
  data.training.valid,
  data.model.valid,
  data.corrected.valid,
  ncores,
  swe.threshold
)
}
\arguments{
\item{data.training.calib}{The training dataset (a vectdata object, see
\code{\link[=vectorize.list]{vectorize.list()}}) for the calibration period}

\item{data.model.calib}{The model dataset (a vectdata object, see
\code{\link[=vectorize.list]{vectorize.list()}}) for the calibration period}

\item{data.corrected.calib}{the corrected dataset (a vectdata object, see
\code{\link[=vectorize.list]{vectorize.list()}}) for the calibration period}

\item{data.training.valid}{The training dataset (a vectdata object, see
\code{\link[=vectorize.list]{vectorize.list()}}) for the validation period}

\item{data.model.valid}{The model dataset (a vectdata object, see
\code{\link[=vectorize.list]{vectorize.list()}}) for the validation period}

\item{data.corrected.valid}{the corrected dataset (a vectdata object, see
\code{\link[=vectorize.list]{vectorize.list()}}) for the validation period}

\item{ncores}{Number of cores to use for parallel computation, using ncores =
1 defaults to serial computing}

\item{swe.threshold}{The threshold SWE value to define snow days}
}
\value{
A list with entries "data.model.calib", "data.corrected.calib",
"data.model.valid", and "data.corrected.valid", each containing a list of the
ratio of false negative and false positive
}
\description{
\code{plt.snow.days.comparison.calib} produces barplots (see
\code{\link[=barplot]{barplot()}}) of the fraction of agreement and disagreement in term
of snow covered days between the training and the model dataset and between
the training and corrected dataset, for calibration and validation periods.
Agreement is shown per year, aggregated for all the pixels. Agreement is shown
in term of true positive (both predict a snow covered day), true negative
(both predict a snow free day), false positive (training predicts a snow free
day, but model/corrected predicts a snow covered day), and false negative
(training predicts a snow covered day, but model/corrected predicts a snow
free day). Data to produce the plots are also saved into a RDS file
}
\author{
Adrien Michel, 2023 (MeteoSwiss & WSL/SLF)
}
