% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/assessment_snow_season.R
\name{plt.snow.season.length.calib}
\alias{plt.snow.season.length.calib}
\title{plt.snow.season.length.calib}
\usage{
plt.snow.season.length.calib(
  data.training.calib,
  data.model.calib,
  data.corrected.calib,
  data.training.valid,
  data.model.valid,
  data.corrected.valid,
  ncores,
  swe.threshold,
  ma.value
)
}
\arguments{
\item{data.training.calib}{The training dataset over the calibration period
(a vectdata object, see\code{\link[=vectorize.list]{vectorize.list()}})}

\item{data.model.calib}{The model dataset over the calibration period
(a vectdata object, see\code{\link[=vectorize.list]{vectorize.list()}})}

\item{data.corrected.calib}{The corrected dataset over the calibration period
(a vectdata object, see\code{\link[=vectorize.list]{vectorize.list()}})
@param data.training.valid The training dataset over the validation period
(a vectdata object, see\code{\link[=vectorize.list]{vectorize.list()}})}

\item{data.model.valid}{The model dataset over the validation period
(a vectdata object, see\code{\link[=vectorize.list]{vectorize.list()}})}

\item{data.corrected.valid}{The corrected dataset over the validation period
(a vectdata object, see\code{\link[=vectorize.list]{vectorize.list()}})}

\item{ncores}{Number of cores to use for parallel computation, using ncores =
1 defaults to serial computing}

\item{swe.threshold}{The threshold value to define snow day in order to
compute the length of the snow season}

\item{ma.value}{Number of day to apply for moving average function on SWE
before computing the length of the snow seasons.}
}
\value{
A list containing the mean error and mean absolute error in snow
season length for the model and training data. It also returns three
\code{\link[=vectorize.list]{vectorize.list()}} objects containing teh average snow season length
for each pixel in the \code{snow.season} list entry. All datare are both
for the calibration and validation periods.
}
\description{
\code{plt.snow.season.length.calib} produces computes the snow season length
for the three datasets passed as arguments. It returns the average and absolute
average error in snow season length for the model and corrected dataset
compared to the training one. Computation are performed for both the
calibration and validation periods.
}
\author{
Adrien Michel, 2023 (MeteoSwiss & WSL/SLF)
}
