% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/assessment_snow_season.R
\name{plt.snow.season.maps.calib}
\alias{plt.snow.season.maps.calib}
\title{plt.snow.season.maps}
\usage{
plt.snow.season.maps.calib(
  snow.season.training.calib,
  snow.season.model.calib,
  snow.season.corrected.calib,
  snow.season.training.valid,
  snow.season.model.valid,
  snow.season.corrected.valid,
  out.plot.dir
)
}
\arguments{
\item{snow.season.training.calib}{The snow average snow season length (as
a vectdata  object,  see \code{\link[=vectorize.list]{vectorize.list()}}) for the training dataset over
the calibration period, as returned by \code{plt.snow.season.length.calib}}

\item{snow.season.model.calib}{The snow average snow season length (as a
vectdata  object,  see \code{\link[=vectorize.list]{vectorize.list()}}) for the model dataset over
the calibration period, as returned by \code{plt.snow.season.length.calib}}

\item{snow.season.corrected.calib}{The snow average snow season length (as
a vectdata object,  see \code{\link[=vectorize.list]{vectorize.list()}}) for the corrected dataset over
the calibration period, as returned by \code{plt.snow.season.length.calib}}

\item{snow.season.training.valid}{The snow average snow season length (as
a vectdata  object,  see \code{\link[=vectorize.list]{vectorize.list()}}) for the training dataset over
the validation period, as returned by \code{plt.snow.season.length.valid}}

\item{snow.season.model.valid}{The snow average snow season length (as a
vectdata  object,  see \code{\link[=vectorize.list]{vectorize.list()}}) for the model dataset over
the validation period, as returned by \code{plt.snow.season.length.valid}}

\item{snow.season.corrected.valid}{The snow average snow season length (as
a vectdata object,  see \code{\link[=vectorize.list]{vectorize.list()}}) for the corrected dataset over
the validation period, as returned by \code{plt.snow.season.length.valid}}

\item{out.plot.dir}{Directory where output plots should be saved}
}
\description{
\code{plt.snow.season.maps} produces maps of average snow season length for
each pixels, returned by \code{\link[=plt.snow.season.length.calib]{plt.snow.season.length.calib()}}. It also plots,
for each pixels, the relative error of the average snow season length in
the model and corrected dataset, both for calibration and validation periods.
}
\author{
Adrien Michel, 2023 (MeteoSwiss & WSL/SLF)
}
