% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/assessment_spatial_correlation.R
\name{plt.spatial.correlation}
\alias{plt.spatial.correlation}
\title{plt.spatial.correlation}
\usage{
plt.spatial.correlation(
  data.training,
  data.model,
  data.corrected,
  out.plot.dir,
  ncores = 1,
  dist.threshold = 5
)
}
\arguments{
\item{data.training}{The training dataset (a vectdata object, see
\code{\link[=vectorize.list]{vectorize.list()}})}

\item{data.model}{The model dataset (a vectdata object, see
\code{\link[=vectorize.list]{vectorize.list()}})}

\item{data.corrected}{the corrected dataset (a vectdata object, see
\code{\link[=vectorize.list]{vectorize.list()}})}

\item{out.plot.dir}{Path in which the RDS files should be saved. Three files are
created: snow_season_training, snow_season_model, snow_season_corrected}

\item{ncores}{Number of cores to use for parallel computation, using ncores =
1 defaults to serial computing}

\item{dist.threshold}{Distance threshold for neighboring pixels computation
in units of DEM divided by 1'000, i.e. in km if data are provided on grids
with units in m}
}
\value{
A list containing the average and absolute average difference for
all pixels in spatial correlation in the model and corrected dataset compared
to the training dataset
}
\description{
\code{plt.spatial.correlation} Plots maps of spatial correlation in the training,
model, and corrected dataset, and maps of relative difference in spatial
correlation in the model and corrected dataset compared to the training
dataset.
}
\author{
Adrien Michel, 2023 (MeteoSwiss & WSL/SLF)
}
