% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/assessment_spatial_correlation.R
\name{plt.spatial.correlation.calib}
\alias{plt.spatial.correlation.calib}
\title{plt.spatial.correlation}
\usage{
plt.spatial.correlation.calib(
  data.training.calib,
  data.model.calib,
  data.corrected.calib,
  data.training.valid,
  data.model.valid,
  data.corrected.valid,
  out.plot.dir,
  ncores = 1,
  dist.threshold = 5
)
}
\arguments{
\item{data.training.calib}{The training dataset (a \code{vectData} object, see
\code{\link[=vectorize.list]{vectorize.list()}}) over the calibration period}

\item{data.model.calib}{The model dataset (a \code{vectData} object, see
\code{\link[=vectorize.list]{vectorize.list()}}) over the calibration period}

\item{data.corrected.calib}{the corrected dataset (a \code{vectData} object, see
\code{\link[=vectorize.list]{vectorize.list()}}) over the calibration period}

\item{data.training.valid}{The training dataset (a \code{vectData} object, see
\code{\link[=vectorize.list]{vectorize.list()}}) over the validation period}

\item{data.model.valid}{The model dataset (a \code{vectData} object, see
\code{\link[=vectorize.list]{vectorize.list()}}) over the validation period}

\item{data.corrected.valid}{the corrected dataset (a \code{vectData} object, see
\code{\link[=vectorize.list]{vectorize.list()}}) over the validation period}

\item{out.plot.dir}{Path in which the RDS files should be saved. Three files are
created: snow_season_training, snow_season_model, snow_season_corrected}

\item{ncores}{Number of cores to use for parallel computation, using ncores =
1 defaults to serial computing}

\item{dist.threshold}{Distance threshold for neighboring pixels computation
in units of DEM divided by 1'000, i.e. in km if data are provided on grids
with units in m}
}
\value{
A list containing the average and absolute average difference for
all pixels in spatial correlation in the model and corrected dataset compared
to the training dataset. Both over the calibration and validation periods.
}
\description{
\code{plt.spatial.correlation.calib} Plots maps of spatial correlation in the
training, model, and corrected dataset, and maps of relative difference in
spatialcorrelation in the model and corrected dataset compared to the training
dataset. Spatial correlation are calculated bot over the calibration and
validation periods
}
\author{
Adrien Michel, 2023 (MeteoSwiss & WSL/SLF)
}
