% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/assessment_snow_days.R
\name{snow.days.comparison.seasonnal}
\alias{snow.days.comparison.seasonnal}
\title{snow.days.comparison.seasonnal}
\usage{
snow.days.comparison.seasonnal(
  data.training,
  data.model,
  data.corrected,
  ncores,
  swe.threshold
)
}
\arguments{
\item{data.training}{The training dataset (a vectdata object, see
\code{\link[=vectorize.list]{vectorize.list()}})}

\item{data.model}{The model dataset (a vectdata object, see
\code{\link[=vectorize.list]{vectorize.list()}})}

\item{data.corrected}{the corrected dataset (a vectdata object, see
\code{\link[=vectorize.list]{vectorize.list()}})}

\item{ncores}{Number of cores to use for parallel computation, using ncores =
1 defaults to serial computing}

\item{swe.threshold}{The threshold SWE value to define snow days}
}
\value{
A list with entries season.training and season.model, containing each
a list with one entry per season, each containing a contingency table
(one column per year) comparing the two datasets. Line is 1 = true negative,
2 = false negative, 3 = false positive, 4 =  true positive.
}
\description{
\code{snow.days.comparison.seasonnal} is similar to
\code{\link[=snow.days.comparison]{snow.days.comparison()}}), except that it computes the contigency
table per season.
}
\author{
Adrien Michel, 2023 (MeteoSwiss & WSL/SLF)
}
