% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/assessment_snow_days.R
\name{snow.days.comparison.seasonnal.calib}
\alias{snow.days.comparison.seasonnal.calib}
\title{snow.days.comparison.seasonnal.calib}
\usage{
snow.days.comparison.seasonnal.calib(
  data.training.calib,
  data.model.calib,
  data.corrected.calib,
  data.training.valid,
  data.model.valid,
  data.corrected.valid,
  ncores,
  swe.threshold
)
}
\arguments{
\item{data.training.calib}{The training dataset (a vectdata object, see
\code{\link[=vectorize.list]{vectorize.list()}}) for the calibration period}

\item{data.model.calib}{The model dataset (a vectdata object, see
\code{\link[=vectorize.list]{vectorize.list()}}) for the calibration period}

\item{data.corrected.calib}{the corrected dataset (a vectdata object, see
\code{\link[=vectorize.list]{vectorize.list()}}) for the calibration period}

\item{data.training.valid}{The training dataset (a vectdata object, see
\code{\link[=vectorize.list]{vectorize.list()}}) for the validation period}

\item{data.model.valid}{The model dataset (a vectdata object, see
\code{\link[=vectorize.list]{vectorize.list()}}) for the validation period}

\item{data.corrected.valid}{the corrected dataset (a vectdata object, see
\code{\link[=vectorize.list]{vectorize.list()}}) for the validation period}

\item{ncores}{Number of cores to use for parallel computation, using ncores =
1 defaults to serial computing}

\item{swe.threshold}{The threshold SWE value to define snow days}
}
\value{
A list with entries season.model.calib, season.corrected.calib,
season.model.valid, and season.corrected.valid, each containing
a list with one entry per season, each containing a contingency table
(one column per year) comparing the two datasets. Line is 1 = true negative,
2 = false negative, 3 = false positive, 4 =  true positive.
}
\description{
\code{snow.days.comparison.seasonnal.calib} is similar to
\code{\link[=snow.days.comparison.calib]{snow.days.comparison.calib()}}), except that it computes the contigency
table per season.
}
\author{
Adrien Michel, 2023 (MeteoSwiss & WSL/SLF)
}
