% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/assessment_snow_season.R
\name{snow.season.length}
\alias{snow.season.length}
\title{snow.season.length}
\usage{
snow.season.length(data, ncores = 1, swe.threshold = 0.05, ma.value = 7)
}
\arguments{
\item{data}{The dataset (a vectdata object, see \code{\link[=vectorize.list]{vectorize.list()}})}

\item{ncores}{Number of cores to use for parallel computation, using ncores =
1 defaults to serial computing}

\item{swe.threshold}{The threshold value to define snow day in order to
compute the length of the snow season}

\item{ma.value}{Number of day to apply for moving average function on SWE
before computing the length of the snow seasons}
}
\value{
A list containing for each pixel a vector containing the length of
the snow season for each individual year
}
\description{
\code{snow.season.length()} is an internal function called by
\code{\link[=plt.snow.season.length]{plt.snow.season.length()}}), calling a C++ function returning the snow
season length foe each pixels
}
\author{
Adrien Michel, 2023 (MeteoSwiss & WSL/SLF)
}
