% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/qm_quantile_computation.R
\name{train.model}
\alias{train.model}
\title{train.model}
\usage{
train.model(
  data.model.file,
  data.training.file,
  params.qm,
  out.quantiles.dir,
  out.plot.dir,
  ncores = 1
)
}
\arguments{
\item{data.model.file}{Path the a .RDS file containing the training dataset
(as a vectdata object, see \code{\link[=vectorize.list]{vectorize.list()}})}

\item{data.training.file}{Path the a .RDS file containing the model dataset
(as a vectdata object, see \code{\link[=vectorize.list]{vectorize.list()}})}

\item{params.qm}{Parameters for the quantile mapping, a list containing the
following entries: \code{temporal.step}, \code{spatial.step},\code{elevation.step},
\code{slope.step}, \code{aspect.step}, \code{curvature.step}, and \code{target}. See the package
Vignette and the scientific publication for details.}

\item{out.quantiles.dir}{Path where the quantile distribution files should
be saved}

\item{out.plot.dir}{Path were the plots showing the spatial grouping details
should be saved. Directories 'training_quantiles' and 'model_quantiles' will
be created}

\item{ncores}{Number of cores to use for parallel computation, using ncores =
1 defaults to serial computing}
}
\description{
\code{train.model} trains the QM model. Meaning that it first computes the
spatial and temporal groups (see \link{compute.temporal.cluster} and
\link{compute.spatial.cluster}), plots the spatial groups details, then computes
the quantile distributions for the training dataset and save them to files
(see \code{\link[=compute.quantiles]{compute.quantiles()}}), and finally does the same for the model dataset.
}
\author{
Adrien Michel, 2023 (MeteoSwiss & WSL/SLF)
}
